Bug 18739 - Add SVG version of staff-home-icons-sprite image
Summary: Add SVG version of staff-home-icons-sprite image
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2017-06-06 18:43 UTC by Owen Leonard
Modified: 2017-10-23 14:57 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18739 - Add SVG version of staff-home-icons-sprite image (97.91 KB, patch)
2017-06-07 11:54 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 18739 - Add SVG version of staff-home-icons-sprite image (97.27 KB, patch)
2017-08-24 07:28 UTC, Dilan Johnpullé
Details | Diff | Splinter Review
Bug 18739 - Add SVG version of staff-home-icons-sprite image (97.34 KB, patch)
2017-09-08 17:24 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2017-06-06 18:43:51 UTC
In misc/interface_customization we have a Photoshop file from which staff-home-icons-sprite.png was generated. It would be better to provide an SVG file. SVG is more flexible and non-proprietary.
Comment 1 Owen Leonard 2017-06-07 11:54:05 UTC
Created attachment 64076 [details] [review]
Bug 18739 - Add SVG version of staff-home-icons-sprite image

This patch removes the Photoshop file from which the staff client home
page sprite image was generated and replaces it with an SVG file. The
PNG version of the sprite has been regenerated from the SVG version.

Two elements of the sprite have changed based on availability on the
Noun Project web site: The tag icon for cataloging and the gift icon for
acquisitions. The tag icon originally used seems to have been updated,
and the gift icon is no longer available. A similar gift icon replaces
the old one.

This patch also updates the about page so that each icon is linked to
its page on the Noun Project.

To test, apply the patch and clear your browser cache if necessary. View
the staff client home page and confirm that the icons still look
correct, including when they are moused over.

Open the new SVG file in a browser or editor and confirm that it looks
correct.
Comment 2 Dilan Johnpullé 2017-08-24 07:28:02 UTC
Created attachment 66404 [details] [review]
Bug 18739 - Add SVG version of staff-home-icons-sprite image

Images display correctly. Followed test plan and patch works as described.

Signed-off-by: Dilan Johnpullé <dilan@calyx.net.au>
Comment 3 Nick Clemens 2017-09-08 17:24:55 UTC
Created attachment 67007 [details] [review]
Bug 18739 - Add SVG version of staff-home-icons-sprite image

This patch removes the Photoshop file from which the staff client home
page sprite image was generated and replaces it with an SVG file. The
PNG version of the sprite has been regenerated from the SVG version.

Two elements of the sprite have changed based on availability on the
Noun Project web site: The tag icon for cataloging and the gift icon for
acquisitions. The tag icon originally used seems to have been updated,
and the gift icon is no longer available. A similar gift icon replaces
the old one.

This patch also updates the about page so that each icon is linked to
its page on the Noun Project.

To test, apply the patch and clear your browser cache if necessary. View
the staff client home page and confirm that the icons still look
correct, including when they are moused over.

Open the new SVG file in a browser or editor and confirm that it looks
correct.

Images display correctly. Followed test plan and patch works as described.

Signed-off-by: Dilan Johnpullé <dilan@calyx.net.au>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Jonathan Druart 2017-09-19 14:50:03 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 5 Fridolin SOMERS 2017-10-23 14:57:33 UTC
Enhancement not pushed to 17.05.x